diff --git a/media/webrtc/trunk/tools/gyp/test/rules-dirname/gyptest-dirname.py b/media/webrtc/trunk/tools/gyp/test/rules-dirname/gyptest-dirname.py
index 9b8949b32c..bed1f823f1 100755
--- a/media/webrtc/trunk/tools/gyp/test/rules-dirname/gyptest-dirname.py
+++ b/media/webrtc/trunk/tools/gyp/test/rules-dirname/gyptest-dirname.py
@@ -8,12 +8,13 @@
 Verifies simple rules when using an explicit build target of 'all'.
 """
 
+from __future__ import print_function
 import TestGyp
 import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/rules-variables/gyptest-rules-variables.py b/media/webrtc/trunk/tools/gyp/test/rules-variables/gyptest-rules-variables.py
index c1825e0c13..b2e0826ef4 100755
--- a/media/webrtc/trunk/tools/gyp/test/rules-variables/gyptest-rules-variables.py
+++ b/media/webrtc/trunk/tools/gyp/test/rules-variables/gyptest-rules-variables.py
@@ -8,10 +8,11 @@
 Verifies rules related variables are expanded.
 """
 
+from __future__ import print_function
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/rules/gyptest-all.py b/media/webrtc/trunk/tools/gyp/test/rules/gyptest-all.py
index e6e637ebbf..4aa925d501 100755
--- a/media/webrtc/trunk/tools/gyp/test/rules/gyptest-all.py
+++ b/media/webrtc/trunk/tools/gyp/test/rules/gyptest-all.py
@@ -11,7 +11,7 @@ Verifies simple rules when using an explicit build target of 'all'.
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/rules/gyptest-default.py b/media/webrtc/trunk/tools/gyp/test/rules/gyptest-default.py
index 65b79dacd6..29c9ea97e6 100755
--- a/media/webrtc/trunk/tools/gyp/test/rules/gyptest-default.py
+++ b/media/webrtc/trunk/tools/gyp/test/rules/gyptest-default.py
@@ -11,7 +11,7 @@ Verifies simple rules when using an explicit build target of 'all'.
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/rules/src/copy-file.py b/media/webrtc/trunk/tools/gyp/test/rules/src/copy-file.py
index 5a5feae1f2..c95252b975 100755
--- a/media/webrtc/trunk/tools/gyp/test/rules/src/copy-file.py
+++ b/media/webrtc/trunk/tools/gyp/test/rules/src/copy-file.py
@@ -5,7 +5,7 @@
 # found in the LICENSE file.
 import sys
 
-contents = open(sys.argv[1], 'r').read()
+contents = open(sys.argv[1]).read()
 open(sys.argv[2], 'wb').write(contents)
 
 sys.exit(0)
diff --git a/media/webrtc/trunk/tools/gyp/test/standalone/gyptest-standalone.py b/media/webrtc/trunk/tools/gyp/test/standalone/gyptest-standalone.py
index 87143706ab..a9faef1117 100644
--- a/media/webrtc/trunk/tools/gyp/test/standalone/gyptest-standalone.py
+++ b/media/webrtc/trunk/tools/gyp/test/standalone/gyptest-standalone.py
@@ -26,7 +26,7 @@ for root, dirs, files in os.walk("."):
     file = os.path.join(root, file)
     contents = open(file).read()
     if 'standalone.gyp' in contents:
-      print 'gyp file referenced in generated output: %s' % file
+      print('gyp file referenced in generated output: %s' % file)
       test.fail_test()
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-ignore-env.py b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-ignore-env.py
index 1cf3308dc4..6d1cdbd0ce 100755
--- a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-ignore-env.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-ignore-env.py
@@ -39,7 +39,7 @@ test.run_gyp('commands.gyp',
 contents = test.read('commands.gypd').replace('\r', '')
 expect = test.read('commands.gypd.golden').replace('\r', '')
 if not test.match(contents, expect):
-  print "Unexpected contents of `commands.gypd'"
+  print("Unexpected contents of `commands.gypd'")
   test.diff(expect, contents, 'commands.gypd ')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-repeated.py b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-repeated.py
index b95fe2d75e..eb76542250 100755
--- a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-repeated.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands-repeated.py
@@ -31,7 +31,7 @@ test.run_gyp('commands-repeated.gyp',
 contents = test.read('commands-repeated.gypd').replace('\r\n', '\n')
 expect = test.read('commands-repeated.gypd.golden').replace('\r\n', '\n')
 if not test.match(contents, expect):
-  print "Unexpected contents of `commands-repeated.gypd'"
+  print("Unexpected contents of `commands-repeated.gypd'")
   test.diff(expect, contents, 'commands-repeated.gypd ')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands.py b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands.py
index ef1af8c525..1b0d256eb0 100755
--- a/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/commands/gyptest-commands.py
@@ -32,7 +32,7 @@ test.run_gyp('commands.gyp',
 contents = test.read('commands.gypd').replace('\r', '')
 expect = test.read('commands.gypd.golden').replace('\r', '')
 if not test.match(contents, expect):
-  print "Unexpected contents of `commands.gypd'"
+  print("Unexpected contents of `commands.gypd'")
   test.diff(expect, contents, 'commands.gypd ')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/commands/repeated_multidir/print_cwd_basename.py b/media/webrtc/trunk/tools/gyp/test/variables/commands/repeated_multidir/print_cwd_basename.py
index ace9ed6b80..52c99e0c8c 100755
--- a/media/webrtc/trunk/tools/gyp/test/variables/commands/repeated_multidir/print_cwd_basename.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/commands/repeated_multidir/print_cwd_basename.py
@@ -7,4 +7,4 @@
 import os
 import os.path
 
-print os.path.basename(os.getcwd())
+print(os.path.basename(os.getcwd()))
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/commands/test.py b/media/webrtc/trunk/tools/gyp/test/variables/commands/test.py
index 4d9ca6d1ab..a76c00572a 100644
--- a/media/webrtc/trunk/tools/gyp/test/variables/commands/test.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/commands/test.py
@@ -1 +1 @@
-print "sample\\path\\foo.cpp"
+print("sample\\path\\foo.cpp")
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist-golden.py b/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist-golden.py
index 55eaf9db46..7162043390 100644
--- a/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist-golden.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist-golden.py
@@ -36,14 +36,14 @@ contents = test.read('src/filelist.gypd').replace(
     '\r', '').replace('\\\\', '/')
 expect = test.read('filelist.gypd.golden').replace('\r', '')
 if not test.match(contents, expect):
-  print "Unexpected contents of `src/filelist.gypd'"
+  print("Unexpected contents of `src/filelist.gypd'")
   test.diff(expect, contents, 'src/filelist.gypd ')
   test.fail_test()
 
 contents = test.read('src/names.txt')
 expect = 'John\nJacob\nJingleheimer\nSchmidt\n'
 if not test.match(contents, expect):
-  print "Unexpected contents of `src/names.txt'"
+  print("Unexpected contents of `src/names.txt'")
   test.diff(expect, contents, 'src/names.txt ')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist.py b/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist.py
index 84a6cba5f4..b12084c21c 100755
--- a/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist.py
+++ b/media/webrtc/trunk/tools/gyp/test/variables/filelist/gyptest-filelist.py
@@ -22,7 +22,7 @@ test.build('filelist2.gyp', 'foo', chdir=CHDIR)
 contents = test.read('src/dummy_foo').replace('\r', '')
 expect = 'John\nJacob\nJingleheimer\nSchmidt\n'
 if not test.match(contents, expect):
-  print "Unexpected contents of `src/dummy_foo'"
+  print("Unexpected contents of `src/dummy_foo'")
   test.diff(expect, contents, 'src/dummy_foo')
   test.fail_test()
 
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-enable-enhanced-instruction-set.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-enable-enhanced-instruction-set.py
index 78a924aba3..ac6af8dafc 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-enable-enhanced-instruction-set.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-enable-enhanced-instruction-set.py
@@ -8,13 +8,14 @@
 Test VCCLCompilerTool EnableEnhancedInstructionSet setting.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp()
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-function-level-linking.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-function-level-linking.py
index 17c29e235f..56e1027e49 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-function-level-linking.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-cl-function-level-linking.py
@@ -8,6 +8,7 @@
 Make sure function-level linking setting is extracted properly.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import sys
@@ -22,10 +23,10 @@ if sys.platform == 'win32':
   def CheckForSectionString(binary, search_for, should_exist):
     output = test.run_dumpbin('/headers', binary)
     if should_exist and search_for not in output:
-      print 'Did not find "%s" in %s' % (search_for, binary)
+      print('Did not find "%s" in %s' % (search_for, binary))
       test.fail_test()
     elif not should_exist and search_for in output:
-      print 'Found "%s" in %s (and shouldn\'t have)' % (search_for, binary)
+      print('Found "%s" in %s (and shouldn\'t have)' % (search_for, binary))
       test.fail_test()
 
   def Object(proj, obj):
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-command-quote.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-command-quote.py
index bd93ac5e92..871f35b1a4 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-command-quote.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-command-quote.py
@@ -12,12 +12,13 @@ application in the path. Specifically, this means not quoting something like
 than calling "x.bat".
 """
 
+from __future__ import print_function
 import TestGyp
 
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['msvs', 'ninja'])
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-defrelink.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-defrelink.py
index cec0ea1870..733a5aa797 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-defrelink.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-defrelink.py
@@ -8,12 +8,13 @@
 Make sure a relink is performed when a .def file is touched.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['msvs', 'ninja'])
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-uac.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-uac.py
index 131e07ec1f..731e50a135 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-uac.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-uac.py
@@ -68,8 +68,8 @@ if sys.platform == 'win32':
   test.fail_test(len(execution_level) != 1)
   execution_level = execution_level[0].attributes
   test.fail_test(not (
-      execution_level.has_key('level') and
-      execution_level.has_key('uiAccess') and
+      'level' in execution_level and
+      'uiAccess' in execution_level and
       execution_level['level'].nodeValue == 'asInvoker' and
       execution_level['uiAccess'].nodeValue == 'false'))
 
@@ -87,8 +87,8 @@ if sys.platform == 'win32':
   test.fail_test(len(execution_level) != 1)
   execution_level = execution_level[0].attributes
   test.fail_test(not (
-      execution_level.has_key('level') and
-      execution_level.has_key('uiAccess') and
+      'level' in execution_level and
+      'uiAccess' in execution_level and
       execution_level['level'].nodeValue == 'requireAdministrator' and
       execution_level['uiAccess'].nodeValue == 'true'))
 
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-app-revision.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-app-revision.py
index e5c5a71335..31195c2cf3 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-app-revision.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-app-revision.py
@@ -8,6 +8,7 @@
 Make sure msvs_application_type_revision works correctly.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
@@ -16,7 +17,7 @@ import struct
 
 CHDIR = 'winrt-app-type-revision'
 
-print 'This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466'
+print('This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466')
 sys.exit(0)
 
 if (sys.platform == 'win32' and
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-target-platform-version.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-target-platform-version.py
index cd9244ed01..da29716d59 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-target-platform-version.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt-target-platform-version.py
@@ -8,6 +8,7 @@
 Make sure msvs_target_platform_version works correctly.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
@@ -16,7 +17,7 @@ import struct
 
 CHDIR = 'winrt-target-platform-version'
 
-print 'This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466'
+print('This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466')
 sys.exit(0)
 
 if (sys.platform == 'win32' and
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt.py
index 283863ced7..67ccd5453e 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-enable-winrt.py
@@ -8,6 +8,7 @@
 Make sure msvs_enable_winrt works correctly.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
@@ -16,7 +17,7 @@ import struct
 
 CHDIR = 'enable-winrt'
 
-print 'This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466'
+print('This test is not currently working on the bots: https://code.google.com/p/gyp/issues/detail?id=466')
 sys.exit(0)
 
 if (sys.platform == 'win32' and
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-large-pdb.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-large-pdb.py
index 4604745d14..f42d9d8b11 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-large-pdb.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-large-pdb.py
@@ -8,13 +8,14 @@
 Make sure msvs_large_pdb works correctly.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import struct
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
@@ -37,8 +38,8 @@ def CheckImageAndPdb(test, image_basename, expected_page_size,
   pdb_file.seek(32, 0)
   page_size = struct.unpack('<I', pdb_file.read(4))[0]
   if page_size != expected_page_size:
-    print "Expected page size of %d, got %d for PDB file `%s'." % (
-        expected_page_size, page_size, pdb_path)
+    print("Expected page size of %d, got %d for PDB file `%s'." % (
+        expected_page_size, page_size, pdb_path))
 
 
 if sys.platform == 'win32':
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-ordering.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-ordering.py
index a2527fa3b4..9959cc786c 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-ordering.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-ordering.py
@@ -8,6 +8,7 @@
 Make sure the link order of object files is the same between msvs and ninja.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import sys
@@ -48,7 +49,7 @@ _main:
 '''
 
   if expected_disasm_basic not in GetDisasm('test_ordering_exe.exe'):
-    print GetDisasm('test_ordering_exe.exe')
+    print(GetDisasm('test_ordering_exe.exe'))
     test.fail_test()
 
   # Similar to above. The VS generator handles subdirectories differently.
@@ -69,7 +70,7 @@ _main:
 '''
 
   if expected_disasm_subdirs not in GetDisasm('test_ordering_subdirs.exe'):
-    print GetDisasm('test_ordering_subdirs.exe')
+    print(GetDisasm('test_ordering_subdirs.exe'))
     test.fail_test()
 
   # Similar, but with directories mixed into folders (crt and main at the same
@@ -95,7 +96,7 @@ _main:
 
   if (expected_disasm_subdirs_mixed not in
       GetDisasm('test_ordering_subdirs_mixed.exe')):
-    print GetDisasm('test_ordering_subdirs_mixed.exe')
+    print(GetDisasm('test_ordering_subdirs_mixed.exe'))
     test.fail_test()
 
   test.pass_test()
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-restat-importlib.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-restat-importlib.py
index 76b5c3cdb9..5b38306ed2 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-restat-importlib.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-link-restat-importlib.py
@@ -9,6 +9,7 @@ Make sure we don't cause unnecessary builds due to import libs appearing
 to be out of date.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
@@ -20,7 +21,7 @@ if sys.platform == 'win32':
 
   if not os.environ.get('ProgramFiles(x86)'):
     # TODO(scottmg)
-    print 'Skipping test on x86, http://crbug.com/365833'
+    print('Skipping test on x86, http://crbug.com/365833')
     test.pass_test()
 
   CHDIR = 'importlib'
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-macro-targetfilename.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-macro-targetfilename.py
index be4b637e9c..c42c5030ce 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-macro-targetfilename.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-macro-targetfilename.py
@@ -8,13 +8,14 @@
 Make sure macro expansion of $(TargetFileName) is handled.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['msvs', 'ninja'])
diff --git a/media/webrtc/trunk/tools/gyp/test/win/gyptest-rc-build.py b/media/webrtc/trunk/tools/gyp/test/win/gyptest-rc-build.py
index a6e4d360f6..dcad897300 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/gyptest-rc-build.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/gyptest-rc-build.py
@@ -8,12 +8,13 @@
 Make sure we build and include .rc files.
 """
 
+from __future__ import print_function
 import TestGyp
 
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['msvs', 'ninja'])
diff --git a/media/webrtc/trunk/tools/gyp/test/win/vs-macros/as.py b/media/webrtc/trunk/tools/gyp/test/win/vs-macros/as.py
index e0bc3ae6f3..c4b549ac10 100644
--- a/media/webrtc/trunk/tools/gyp/test/win/vs-macros/as.py
+++ b/media/webrtc/trunk/tools/gyp/test/win/vs-macros/as.py
@@ -4,6 +4,7 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
+from __future__ import print_function
 from optparse import OptionParser
 
 parser = OptionParser()
@@ -13,6 +14,6 @@ parser.add_option('-p', dest='path')
 (options, args) = parser.parse_args()
 
 f = open(options.output, 'w')
-print >>f, 'options', options
-print >>f, 'args', args
+print('options', options, file=f)
+print('args', args, file=f)
 f.close()
diff --git a/media/webrtc/trunk/tools/gyp/tools/graphviz.py b/media/webrtc/trunk/tools/gyp/tools/graphviz.py
index 326ae221cf..2f9a0fb171 100755
--- a/media/webrtc/trunk/tools/gyp/tools/graphviz.py
+++ b/media/webrtc/trunk/tools/gyp/tools/graphviz.py
@@ -50,9 +50,9 @@ def WriteGraph(edges):
     build_file, target_name, toolset = ParseTarget(src)
     files[build_file].append(src)
 
-  print 'digraph D {'
-  print '  fontsize=8'  # Used by subgraphs.
-  print '  node [fontsize=8]'
+  print('digraph D {')
+  print('  fontsize=8')  # Used by subgraphs.
+  print('  node [fontsize=8]')
 
   # Output nodes by file.  We must first write out each node within
   # its file grouping before writing out any edges that may refer
@@ -63,31 +63,31 @@ def WriteGraph(edges):
       # the display by making it a box without an internal node.
       target = targets[0]
       build_file, target_name, toolset = ParseTarget(target)
-      print '  "%s" [shape=box, label="%s\\n%s"]' % (target, filename,
-                                                     target_name)
+      print('  "{}" [shape=box, label="{}\\n{}"]'.format(target, filename,
+                                                     target_name))
     else:
       # Group multiple nodes together in a subgraph.
-      print '  subgraph "cluster_%s" {' % filename
-      print '    label = "%s"' % filename
+      print('  subgraph "cluster_%s" {' % filename)
+      print('    label = "%s"' % filename)
       for target in targets:
         build_file, target_name, toolset = ParseTarget(target)
-        print '    "%s" [label="%s"]' % (target, target_name)
-      print '  }'
+        print('    "{}" [label="{}"]'.format(target, target_name))
+      print('  }')
 
   # Now that we've placed all the nodes within subgraphs, output all
   # the edges between nodes.
   for src, dsts in edges.items():
     for dst in dsts:
-      print '  "%s" -> "%s"' % (src, dst)
+      print('  "{}" -> "{}"'.format(src, dst))
 
-  print '}'
+  print('}')
 
 
 def main():
   if len(sys.argv) < 2:
-    print >>sys.stderr, __doc__
-    print >>sys.stderr
-    print >>sys.stderr, 'usage: %s target1 target2...' % (sys.argv[0])
+    print(__doc__, file=sys.stderr)
+    print(file=sys.stderr)
+    print('usage: %s target1 target2...' % (sys.argv[0]), file=sys.stderr)
     return 1
 
   edges = LoadEdges('dump.json', sys.argv[1:])
diff --git a/media/webrtc/trunk/tools/gyp/tools/pretty_gyp.py b/media/webrtc/trunk/tools/gyp/tools/pretty_gyp.py
index d5736bbd4a..b9eaa2c55d 100755
--- a/media/webrtc/trunk/tools/gyp/tools/pretty_gyp.py
+++ b/media/webrtc/trunk/tools/gyp/tools/pretty_gyp.py
@@ -32,7 +32,7 @@ def mask_comments(input):
 
 
 def quote_replace(matchobj):
-  return "%s%s%s%s" % (matchobj.group(1),
+  return "{}{}{}{}".format(matchobj.group(1),
                        matchobj.group(2),
                        'x'*len(matchobj.group(3)),
                        matchobj.group(2))
@@ -125,15 +125,15 @@ def prettyprint_input(lines):
         (brace_diff, after) = count_braces(line)
       if brace_diff != 0:
         if after:
-          print " " * (basic_offset * indent) + line
+          print(" " * (basic_offset * indent) + line)
           indent += brace_diff
         else:
           indent += brace_diff
-          print " " * (basic_offset * indent) + line
+          print(" " * (basic_offset * indent) + line)
       else:
-        print " " * (basic_offset * indent) + line
+        print(" " * (basic_offset * indent) + line)
     else:
-      print ""
+      print("")
     last_line = line
 
 
diff --git a/media/webrtc/trunk/tools/gyp/tools/pretty_sln.py b/media/webrtc/trunk/tools/gyp/tools/pretty_sln.py
index ca8cf4ad3f..b1f5bda357 100755
--- a/media/webrtc/trunk/tools/gyp/tools/pretty_sln.py
+++ b/media/webrtc/trunk/tools/gyp/tools/pretty_sln.py
@@ -26,7 +26,7 @@ def BuildProject(project, built, projects, deps):
   for dep in deps[project]:
     if dep not in built:
       BuildProject(dep, built, projects, deps)
-  print project
+  print(project)
   built.append(project)
 
 def ParseSolution(solution_file):
@@ -100,44 +100,44 @@ def ParseSolution(solution_file):
   return (projects, dependencies)
 
 def PrintDependencies(projects, deps):
-  print "---------------------------------------"
-  print "Dependencies for all projects"
-  print "---------------------------------------"
-  print "--                                   --"
+  print("---------------------------------------")
+  print("Dependencies for all projects")
+  print("---------------------------------------")
+  print("--                                   --")
 
   for (project, dep_list) in sorted(deps.items()):
-    print "Project : %s" % project
-    print "Path : %s" % projects[project][0]
+    print("Project : %s" % project)
+    print("Path : %s" % projects[project][0])
     if dep_list:
       for dep in dep_list:
-        print "  - %s" % dep
-    print ""
+        print("  - %s" % dep)
+    print("")
 
-  print "--                                   --"
+  print("--                                   --")
 
 def PrintBuildOrder(projects, deps):
-  print "---------------------------------------"
-  print "Build order                            "
-  print "---------------------------------------"
-  print "--                                   --"
+  print("---------------------------------------")
+  print("Build order                            ")
+  print("---------------------------------------")
+  print("--                                   --")
 
   built = []
   for (project, _) in sorted(deps.items()):
     if project not in built:
       BuildProject(project, built, projects, deps)
 
-  print "--                                   --"
+  print("--                                   --")
 
 def PrintVCProj(projects):
 
   for project in projects:
-    print "-------------------------------------"
-    print "-------------------------------------"
-    print project
-    print project
-    print project
-    print "-------------------------------------"
-    print "-------------------------------------"
+    print("-------------------------------------")
+    print("-------------------------------------")
+    print(project)
+    print(project)
+    print(project)
+    print("-------------------------------------")
+    print("-------------------------------------")
 
     project_path = os.path.abspath(os.path.join(os.path.dirname(sys.argv[1]),
                                                 projects[project][2]))
@@ -153,7 +153,7 @@ def PrintVCProj(projects):
 def main():
   # check if we have exactly 1 parameter.
   if len(sys.argv) < 2:
-    print 'Usage: %s "c:\\path\\to\\project.sln"' % sys.argv[0]
+    print('Usage: %s "c:\\path\\to\\project.sln"' % sys.argv[0])
     return 1
 
   (projects, deps) = ParseSolution(sys.argv[1])
diff --git a/media/webrtc/trunk/tools/gyp/tools/pretty_vcproj.py b/media/webrtc/trunk/tools/gyp/tools/pretty_vcproj.py
index 6099bd7cc4..1326b9c4b8 100755
--- a/media/webrtc/trunk/tools/gyp/tools/pretty_vcproj.py
+++ b/media/webrtc/trunk/tools/gyp/tools/pretty_vcproj.py
@@ -24,13 +24,13 @@ REPLACEMENTS = dict()
 ARGUMENTS = None
 
 
-class CmpTuple(object):
+class CmpTuple:
   """Compare function between 2 tuple."""
   def __call__(self, x, y):
     return cmp(x[0], y[0])
 
 
-class CmpNode(object):
+class CmpNode:
   """Compare function between 2 xml nodes."""
 
   def __call__(self, x, y):
@@ -61,7 +61,7 @@ class CmpNode(object):
 def PrettyPrintNode(node, indent=0):
   if node.nodeType == Node.TEXT_NODE:
     if node.data.strip():
-      print '%s%s' % (' '*indent, node.data.strip())
+      print('{}{}'.format(' '*indent, node.data.strip()))
     return
 
   if node.childNodes:
@@ -73,23 +73,23 @@ def PrettyPrintNode(node, indent=0):
 
   # Print the main tag
   if attr_count == 0:
-    print '%s<%s>' % (' '*indent, node.nodeName)
+    print('{}<{}>'.format(' '*indent, node.nodeName))
   else:
-    print '%s<%s' % (' '*indent, node.nodeName)
+    print('{}<{}'.format(' '*indent, node.nodeName))
 
     all_attributes = []
     for (name, value) in node.attributes.items():
       all_attributes.append((name, value))
       all_attributes.sort(CmpTuple())
     for (name, value) in all_attributes:
-      print '%s  %s="%s"' % (' '*indent, name, value)
-    print '%s>' % (' '*indent)
+      print('{}  {}="{}"'.format(' '*indent, name, value))
+    print('%s>' % (' '*indent))
   if node.nodeValue:
-    print '%s  %s' % (' '*indent, node.nodeValue)
+    print('{}  {}'.format(' '*indent, node.nodeValue))
 
   for sub_node in node.childNodes:
     PrettyPrintNode(sub_node, indent=indent+2)
-  print '%s</%s>' % (' '*indent, node.nodeName)
+  print('{}</{}>'.format(' '*indent, node.nodeName))
 
 
 def FlattenFilter(node):
@@ -283,7 +283,7 @@ def main(argv):
 
   # check if we have exactly 1 parameter.
   if len(argv) < 2:
-    print ('Usage: %s "c:\\path\\to\\vcproj.vcproj" [key1=value1] '
+    print('Usage: %s "c:\\path\\to\\vcproj.vcproj" [key1=value1] '
            '[key2=value2]' % argv[0])
     return 1
 
diff --git a/media/webrtc/trunk/webrtc/PRESUBMIT.py b/media/webrtc/trunk/webrtc/PRESUBMIT.py
index 4132c16874..825fc8e0be 100644
--- a/media/webrtc/trunk/webrtc/PRESUBMIT.py
+++ b/media/webrtc/trunk/webrtc/PRESUBMIT.py
@@ -10,7 +10,7 @@ def _LicenseHeader(input_api):
   """Returns the license header regexp."""
   # Accept any year number from 2003 to the current year
   current_year = int(input_api.time.strftime('%Y'))
-  allowed_years = (str(s) for s in reversed(xrange(2003, current_year + 1)))
+  allowed_years = (str(s) for s in reversed(range(2003, current_year + 1)))
   years_re = '(' + '|'.join(allowed_years) + ')'
   license_header = (
       r'.*? Copyright( \(c\))? %(year)s The WebRTC [Pp]roject [Aa]uthors\. '
